//---------------------------------------------------------------------------------------------
//
// Archivo: main.cpp
//
// Propsito:
//    Formulario principal del proceso hijo para probar archivos proyectados en memoria.
//    Hace uso de la tcnica de herencia de descriptores para compartir datos entre una
//    aplicacin padre con sus procesos hijos.
//
// Autor:          http://www.lawebdejm.com
//
// Fecha:          01/02/2003
//
// Observaciones:  Clase creada en C++ Builder 6 para el artculo "Archivos proyectados en
//                 memoria", publicado en http://www.lawebdejm.com
//
// Copyright:      Este cdigo es de dominio pblico y se puede utilizar y/o mejorar siempre
//                 que SE HAGA REFERENCIA AL AUTOR ORIGINAL, ya sea a travs de estos
//                 comentarios o de cualquier otro modo.
//
//---------------------------------------------------------------------------------------------

#ifndef mainH
#define mainH

//---------------------------------------------------------------------------

#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>

#include <ExtCtrls.hpp>

#include "..\comun.h"


//---------------------------------------------------------------------------
class TChildForm : public TForm
{
__published:	// IDE-managed Components
   TMemo *Memo1;
   TTimer *Timer1;
   TBevel *Bevel1;
   TLabel *l_jm;
   void __fastcall Timer1Timer(TObject *Sender);
   void __fastcall FormCreate(TObject *Sender);
   void __fastcall FormDestroy(TObject *Sender);
   void __fastcall l_jmClick(TObject *Sender);

public:		// User declarations
   __fastcall TChildForm(TComponent* Owner);

private:
   LPSTR   m_vista;
};

//---------------------------------------------------------------------------
extern PACKAGE TChildForm *ChildForm;
//---------------------------------------------------------------------------

#endif
