//---------------------------------------------------------------------------------------------
//
// Archivo: main.h
//
// Propsito:
//    Formulario principal del proceso padre para probar archivos proyectados en memoria.
//    Hace uso de la tcnica de herencia de descriptores para compartir datos entre una
//    aplicacin padre con sus procesos hijos.
//
// Autor:          http://www.lawebdejm.com
//
// Fecha:          01/11/2002
//
// Observaciones:  Clase creada en C++ Builder 6 para el artculo "Archivos proyectados en
//                 memoria", publicado en http://www.lawebdejm.com
//
// Copyright:      Este cdigo es de dominio pblico y se puede utilizar y/o mejorar siempre
//                 que SE HAGA REFERENCIA AL AUTOR ORIGINAL, ya sea a travs de estos
//                 comentarios o de cualquier otro modo.
//
//---------------------------------------------------------------------------------------------

#ifndef mainH
#define mainH

//---------------------------------------------------------------------------

#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>

#include "proyeccion.h"
#include <ExtCtrls.hpp>
#include <ComCtrls.hpp>
#include <Menus.hpp>


//---------------------------------------------------------------------------
class TParentForm : public TForm
{
__published:	// IDE-managed Components
   TMemo *Memo1;
   TBevel *Bevel1;
   TLabel *l_jm;
   TListView *lv_procesos;
   TLabel *Label1;
   TBevel *Bevel2;
   TPopupMenu *PopupMenu1;
   TMenuItem *m_TerminarProceso;
	TButton *Button1;
   void __fastcall FormCreate(TObject *Sender);
   void __fastcall FormDestroy(TObject *Sender);
   void __fastcall Memo1Change(TObject *Sender);
   void __fastcall l_jmClick(TObject *Sender);
   void __fastcall m_TerminarProcesoClick(TObject *Sender);
	void __fastcall Button1Click(TObject *Sender);

public:		// User declarations
   __fastcall TParentForm(TComponent* Owner);

private:
   CProyeccion *m_proyeccion;
   HANDLE       hProcesoHijo;

   void __fastcall CrearProcesoHijo();
   bool __fastcall TerminarProcesoHijo();

};


//---------------------------------------------------------------------------
extern PACKAGE TParentForm *ParentForm;
//---------------------------------------------------------------------------


#endif
