//---------------------------------------------------------------------------------------------
//
// Archivo: proyeccion.h
//
// Propsito:
//    Se define la clase CProyeccion, que permite manejar una proyeccion de archivos
//
// Autor:          http://www.lawebdejm.com
//
// Fecha:          01/11/2002
//
// Observaciones:  Clase creada en C++ Builder 6 para el artculo "Archivos proyectados en
//                 memoria", publicado en http://www.lawebdejm.com
//
// Copyright:      Este cdigo es de dominio pblico y se puede utilizar y/o mejorar siempre
//                 que SE HAGA REFERENCIA AL AUTOR ORIGINAL, ya sea a travs de estos
//                 comentarios o de cualquier otro modo.
//
//---------------------------------------------------------------------------------------------
#ifndef proyeccionH
#define proyeccionH

#include <windows.h>


#include "..\comun.h"
//---------------------------------------------------------------------------


class CProyeccion
{
public:
	CProyeccion();
	virtual ~CProyeccion();

	DWORD Abrir();
	void Cerrar();
	void Actualizar(LPCSTR texto);

private:
	HANDLE  m_hProyeccion;
	LPSTR   m_vista;
};



#endif
